Quassel IRC - Bug #409

Core hangs when sending an interrupt signal (CTRL-C) right after startup

11/20/2008 02:22 PM - sph

Status: Closed Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version:

Version: 0.3.0.x 0S: Any
Description

Core hangs when sending an interrupt signal (CTRL-C) right after startup. At that point only a SIGKILL can stop it.

Output:

2008-11-20 14:10:33 Info: Storage Backend is ready. Quassel Schema Version: 11
2008-11-20 14:10:33 Info: Listening for GUI clients on IPv4 port 4242 using protocol version 5
2008-11-20 14:10:33 Info: Listening for GUI clients on IPv6 port 4242 using protocol version 5

2008-11-20 14:10:33 Info: Restoring previous core state...

7C2008-11-20 14:10:33 Warning: Caught signal 2 - exiting.
AC2008-11-20 14:10:34 Warning: Caught signal 2 - exiting.
AC2008-11-20 14:10:34 Warning: Caught signal 2 - exiting.
AC2008-11-20 14:10:34 Warning: Caught signal 2 - exiting.
AC2008-11-20 14:10:35 Warning: Caught signal 2 - exiting.

Killed: 9

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 01/13/2009 09:50 PM - EgS
- Status changed from New to Assigned
- Assignee set to EgS

- Version set to 0.3.1+

#3 - 12/23/2013 08:59 PM - Anonymous
- Status changed from Assigned to Closed
- Version changed from 0.3.1+ to 0.3.0.x

- OS set to Any

Closed for being ancient and not reproducable.
